J1939_LOGGER(1)

NAME
j1939_logger - log J1939 traffic to the terminal and to a file on disk.

DESCRIPTION
usage: j1939_logger [-h] [-v] [-c CHANNEL] [-i INTERFACE] ...

Log J1939 traffic, printing messages to stdout or to a given file.

The interface or channel can also be loaded from a configuration file - see the README for detail.

  optional arguments:

-h, --help
    list all available options

-v  command line verbosity How much information do you want to see at the command line? You can add several of these e.g., -vv is DEBUG

-i INTERFACE, --interface INTERFACE
    Specify the backend CAN interface to use (e.g. "socketcan")

    Alternatively the CAN_INTERFACE environment variable can be set.

-c CHANNEL, --channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0" With the socketcan interfaces valid channel examples include: "can0", "vcan0".

    Alternatively the CAN_CHANNEL environment variable can be set.

SEE ALSO
can_logger(1)